/* Fast 3 color sequence using EEV37 CCD */

script_begin( );
shutter open( );      /* signal to begin the experiment          */
clear_parallel( 6 );  /* clear CCD of charge: 2.54 ms per clear  */
expose( 141 );        /* give proper exposure time for 1st image */

loop_begin( 50 );                   /* sequence of 50 image trios            */
  loop_begin( 3 );                  /* one trio                              */
    shift_image_to_storage( );      /* 1.23 millisec, mode now shift_mode_s  */

    expose_until_trig( );           /* change to next light (7 usec pulse)   */
    shift( 32 );                    /* discard excess in EEV37 storage array */
    pixel_readout( 0,512,1,512,1 ); /* about 140 ms at a speed of 2 MHz      */
    pixel_display( 512, 512 );      /* this has no effect on exposure timing */
  loop_end( );
loop_end( );

shutter_close( );  /* signal experiment end & reset      */
script_end( 1 );   /* leave CCD in continuous clear mode */
