/* Intermittent exposure using Tektronix 1024 CCD */

script_begin( );
shutter_close( );     /* good precaution                      */
clear_parallel( 5 );  /* clear out any residual charge        */
clear_serial( 2 );    /* clear serial as well                 */
shift_mode_ism( );    /* force to shift & expose in MPP mode  */
clear_until_trig( );  /* wait for the trigger to be turned on */

loop_begin( 100 );         /* this allows exactly 99 interruptions   */
  expose_until_trig( );    /* shutter is CLOSED, waiting for trigger */

  shutter_open( );         /* open the shutter and begin exposing    */
  expose_while_trig( 0 );  /* good exposure time                     */
  shutter_close( );        /* interruption                           */
loop_end( );

clear_serial( 100 );              /* accumulated evening worth of charge */
pixel_readout( 0,1024,1,1024,1 ); /* readout the entire chip (1024x1024) */
pixel_display( 1024,1024 );       /* display the entire chip             */

script_end( 0 );                  /* do NOT clear the CCD                */

