{ PVCAM Demonstration Script

  This script adds "hot" pixels to an existing image.
  It is intended to be used in conjunction with 
  PVDEMO05.V, which removes hot pixels.

  Note: This script uses the currently active image to
  generate the "hot" image. }

const
  nHot = 100 ;  { The number of simulated hot pixels }
  ErrorMsg = 'Active image not found!' ;

var
  x,y ;         { Pixel coordinates }
  xs,ys ;       { Size of the image }
  HotLevel ;    { Intensity of hot pixels }
  Image ;       { Existing image }
  HotImage ;    { New hot image }
  index ;       { Looping index }


begin

{ Get the active image }
GetActiveImage( Image ) ;
if IsNull( Image ) then Halt( ErrorMsg ) ;

{ Set hot pixel level at 1.5 times the maximum intensity }
HotLevel := word( MaxOf( Image ) * 1.5 ) ;

{ Copy image and make sure it is a 16-bit image 
  - for demo purposes only }
HotImage := word( Image ) ;

{ Loop over image adding hot pixels are random coords }
GetXYSize( Image,xs,ys ) ;
for index := 1 to nHot do
  begin
  WriteStatus( 'Adding hot pixel #',index ) ;
  x := random( xs ) ;
  y := random( ys ) ;
  HotImage[x,y] := HotLevel ;
  end ;

{ Show new hot image }
Show( HotImage,'hot_image' ) ;

end 