{ Plot Demo 3: Multiple Plots
  This demo shows how to have several
  sub-plots in a single window }

var
  Win ;   { Plot window }
  x ;     { x-axis data }
  Data1,
  Data2 ; { Data to plot }

begin

{ Create some data to plot }
x := MakeLinear( -2*pi,2*pi,200 ) ;
Data1 := cos( x ) ;
Data2 := sin( x ) ;

{ Create a new plot window }
Win := CreatePlot( 'MyPlot' ) ;
Maximize( Win ) ;
Clear( Win ) ;  { <- Just in case already exists }

{ Create sub-plots in window }
CreateSubplots( Win,2,2 ) ;  { <- 4 subplots in total }

{ Plot the data in each sub-plot }

{ Top-left }
SelectPlot( Win,0,0 ) ;
SetTitle( Win,'Top-left' ) ;
SetPlotColor( col_Red ) ;
PlotXY( Win,x,Data1 ) ;

{ Top-right }
SelectPlot( Win,1,0 ) ;
SetTitle( Win,'Top-right' ) ;
SetPlotColor( col_Green ) ;
PlotXY( Win,x,-Data1 ) ;

{ Bottom-left }
SelectPlot( Win,0,1 ) ;
SetTitle( Win,'Bottom-left' ) ;
SetPlotColor( col_Cyan ) ;
PlotXY( Win,x,Data1*Data2 ) ;

{ Bottom-right }
SelectPlot( Win,1,1 ) ;
SetTitle( Win,'Bottom-right' ) ;
SetPlotColor( col_Magenta ) ;
PlotXY( Win,x,sqr(Data2) ) ;

end
